Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.je
Class File

    java.lang.Object
      org.apache.lucene.store.je.File

    public class File

extends Object

Port of Andi Vajda's DbDirectory to Java Edition of Berkeley Database

Author:
  Aaron Donovan

Field Summary
`protected DatabaseEntry` | `data`
`protected DatabaseEntry` | `key`
`protected long` | `length`
`protected String` | `name`
`protected static Random` | `random`
`protected long` | `timeModified`
`protected byte[]` | `uuid`

Constructor Summary
`protected` | `File(JEDirectory directory, String name, boolean create)`
`protected` | `File(String name)`

Method Summary
`protected void` | `delete(JEDirectory directory)`
`protected boolean` | `exists(JEDirectory directory)`
`protected byte[]` | `getKey()`
`protected long` | `getLength()`
`protected String` | `getName()`
`protected long` | `getTimeModified()`
`protected void` | `modify(JEDirectory directory, long length, long timeModified)`
`protected void` | `rename(JEDirectory directory, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### random

    protected static Random random

### key

    protected DatabaseEntry key

### data

    protected DatabaseEntry data

### length

    protected long length

### timeModified

    protected long timeModified

### name

    protected String name

### uuid

    protected byte[] uuid

Constructor Detail

### File

    protected File(String name)
            throws IOException

Throws:
  `IOException`

### File

    protected File(JEDirectory directory,
                   String name,
                   boolean create)
            throws IOException

Throws:
  `IOException`

Method Detail

### getName

    protected String getName()

### getKey

    protected byte[] getKey()
                     throws IOException

  Throws:
    `IOException`

### getLength

    protected long getLength()

### getTimeModified

    protected long getTimeModified()

### exists

    protected boolean exists(JEDirectory directory)
                      throws IOException

  Throws:
    `IOException`

### modify

    protected void modify(JEDirectory directory,
                          long length,
                          long timeModified)
                   throws IOException

  Throws:
    `IOException`

### delete

    protected void delete(JEDirectory directory)
                   throws IOException

  Throws:
    `IOException`

### rename

    protected void rename(JEDirectory directory,
                          String name)
                   throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.